# frozen_string_literal: true

require "rails/generators/base"

module StatsCloud
  # Rails generator for statscloud configuration.
  class InstallGenerator < Rails::Generators::Base
    source_root File.expand_path("../../templates/statscloud", __dir__)

    # Creates rails initializer for simultaneous start with rails server.
    def create_initializer_file
      copy_file "statscloud_template.rb", File.join("config", "initializers", "statscloud.rb")
    end

    # Creates directory for saving metrics config files.
    def create_config_statscloud_directory
      empty_directory File.join("config", "statscloud")
    end

    # Creates statscloud configuration file.
    def create_config_file
      copy_file "statscloud_template.yml", File.join("config", "statscloud.yml")
    end
  end
end
