# frozen_string_literal: true

require_relative "../json_parser"

module StatsCloud
  # This helper works to parse response from the server to convenient object.
  class ParsedResponseHelper
    include StatsCloud::JsonParser
    # RestClient json-parsed response body.
    #
    # Type: *Hash*
    attr_reader :body

    # RestClient response code.
    #
    # Type: *Integer*
    attr_reader :code

    # Creates new helper object with parsed response body as json.
    #
    # @param [+RestClient::Response+] response
    #   response from the cluster.
    def initialize(response)
      @code = response&.code
      @body = parse_json(response.body, nil)
    end
  end
end
