# frozen_string_literal: true

require "json"

module StatsCloud
  # Json Parser helper.
  module JsonParser
    def parse_json(json, default = {})
      json_service.parse(json)
    rescue JSON::ParserError
      default
    end

    def convert_to_pretty_json(json)
      json_service.pretty_generate parse_json(json)
    end

    private

    def json_service
      JSON
    end
  end
end
