# frozen_string_literal: true

module StatsCloud
  # This helper works with events.
  module EventHelper
    private

    # Byte size for measurement.
    MEASUREMENT_SIZE = 4

    def get_binary_length(size)
      size + MEASUREMENT_SIZE
    end

    def get_plain_length(name, measurement)
      name.length + (measurement ? MEASUREMENT_SIZE + 1 : 0) + 1
    end

    def get_event_name(event)
      event[:name].to_s
    end

    def get_event_measurement(event)
      event[:measurement]&.to_s
    end
  end
end
